#!/bin/sh
# Este Shell Script gera um video DivX a partir de uma colecao de frames ppm

# Verifica se existem arquivos ppm
if [ "$(ls *.ppm)" != "" ]; then
  # Apaga os arquivos png antigos
  if [ "$(ls *.png)" != "" ]; then
    echo "rm -f *.png"
    rm -f *.png
  fi

  # Cria os arquivos png a partir dos ppm (para um step fisico de 0.04 no ODE)
  CONT=1
  for FILES in *.ppm; do
    ENTRADA=${FILES/.ppm/.png}
    if [ "$CONT" -eq 0 ]; then
      echo "convert $FILES $ENTRADA"
    fi
    convert $FILES $ENTRADA
    CONT=$((($CONT + 1) % 10))
  done

  # Remove os arquivos ppm
  echo "rm -f *.ppm"
  rm -f *.ppm
fi

# Cria o video novo
if [ "$(ls *.png)" != "" ]; then
  rm -f video.avi
  mencoder mf://*.png -mf type=png -ovc lavc -lavcopts vcodec=mpeg4 -o video.avi
  # Remove os arquivos png
  echo "rm -f *.png"
  rm -f *.png
fi
